

package ibspan.tss.domain.ontology.restaurant;

import com.hp.hpl.jena.rdf.model.Resource;
import com.hp.hpl.jena.rdf.model.ResourceFactory;

/**
 * Interface for RestaurantCategoryCode ontology class<br>
 * Use the ibspan.tss.domain.ontology.restaurant.RestaurantFactory to create instances of this interface.
 * <p>(URI: http://www.ibspan.waw.pl/tss/Restaurant#RestaurantCategoryCode)</p>
 * <br>
 * <br>
 * <br>
 */
public interface RestaurantCategoryCode extends com.ibm.adtech.jastor.Thing {
	
	/**
	 * The rdf:type for this ontology class
     */
	public static final Resource TYPE = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#RestaurantCategoryCode");
	


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#UpscaleRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource UpscaleRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#UpscaleRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#AllPurposeRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource AllPurposeRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#AllPurposeRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#TakeOutRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource TakeOutRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#TakeOutRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#CasualRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource CasualRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#CasualRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#BeverageRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource BeverageRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#BeverageRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#CafeteriaRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource CafeteriaRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#CafeteriaRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#FineDiningRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource FineDiningRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#FineDiningRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#KioskRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource KioskRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#KioskRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#FamilyRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource FamilyRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#FamilyRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#CafeRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource CafeRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#CafeRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#FastFoodRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource FastFoodRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#FastFoodRestaurant");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#BuffetRestaurant
	 */
	public static com.hp.hpl.jena.rdf.model.Resource BuffetRestaurant = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#BuffetRestaurant");





}