

package ibspan.tss.domain.ontology.restaurant;

import com.hp.hpl.jena.rdf.model.Resource;
import com.hp.hpl.jena.rdf.model.ResourceFactory;

/**
 * Interface for RestaurantServiceInfo ontology class<br>
 * Use the ibspan.tss.domain.ontology.restaurant.RestaurantFactory to create instances of this interface.
 * <p>(URI: http://www.ibspan.waw.pl/tss/Restaurant#RestaurantServiceInfo)</p>
 * <br>
 * <br>
 * <br>
 */
public interface RestaurantServiceInfo extends com.ibm.adtech.jastor.Thing {
	
	/**
	 * The rdf:type for this ontology class
     */
	public static final Resource TYPE = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#RestaurantServiceInfo");
	


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#BuffetRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource BuffetRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#BuffetRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#CasualDiningRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource CasualDiningRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#CasualDiningRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#FineDiningRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource FineDiningRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#FineDiningRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#MealsToGoRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource MealsToGoRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#MealsToGoRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#TakeOutRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource TakeOutRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#TakeOutRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#FullServiceRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource FullServiceRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#FullServiceRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#RoomServiceRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource RoomServiceRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#RoomServiceRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#SelfServiceRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource SelfServiceRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#SelfServiceRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#CateringRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource CateringRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#CateringRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#SpecialMealServicesRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource SpecialMealServicesRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#SpecialMealServicesRestaurantService");


	/**
	 * Individual for URI: http://www.ibspan.waw.pl/tss/Restaurant#CookedToOrderRestaurantService
	 */
	public static com.hp.hpl.jena.rdf.model.Resource CookedToOrderRestaurantService = ResourceFactory.createResource("http://www.ibspan.waw.pl/tss/Restaurant#CookedToOrderRestaurantService");





}