package semfly.dto;

/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * This class is a DTO based on Airport ontology.
 */
public class AirportInfo
{
	private String iataCode, icaoCode;
	private String location, name;
	private double latitude, longitude, elevation;
	
	/**
	 * @return Returns the icaoCode.
	 */
	public String getIcaoCode() 
	{
		return icaoCode;
	}
	/**
	 * @param icaoCode The icaoCode to set.
	 */
	public void setIcaoCode(String icaoCode) 
	{
		this.icaoCode = icaoCode;
	}
	/**
	 * @return Returns the latitude.
	 */
	public double getLatitude() 
	{
		return latitude;
	}
	/**
	 * @param latitude The latitude to set.
	 */
	public void setLatitude(double latitude) 
	{
		this.latitude = latitude;
	}
	/**
	 * @return Returns the location.
	 */
	public String getLocation() 
	{
		return location;
	}
	/**
	 * @param location The location to set.
	 */
	public void setLocation(String location) 
	{
		this.location = location;
	}
	/**
	 * @return Returns the longitude.
	 */
	public double getLongitude() 
	{
		return longitude;
	}
	/**
	 * @param longitude The longitude to set.
	 */
	public void setLongitude(double longitude) 
	{
		this.longitude = longitude;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName()
	{
		return name;
	}
	/**
	 * @return Returns the elevation.
	 */
	public double getElevation() {
		return elevation;
	}
	/**
	 * @param elevation The elevation to set.
	 */
	public void setElevation(double elevation) {
		this.elevation = elevation;
	}
	/**
	 * @return Returns the iataCode.
	 */
	public String getIataCode() {
		return iataCode;
	}
	/**
	 * @param iataCode The iataCode to set.
	 */
	public void setIataCode(String iataCode) {
		this.iataCode = iataCode;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) 
	{
		this.name = name;
	}
}
