package semfly.dto;

import org.w3c.dom.Document;
/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 */
public class HotelDocument extends ResourceDocument
{
    Document factsheetPage, amenitiesPage, servicesPage, homePage;
    Object hotelCode;
    
    Document[] hotelCodesPageColl;
    
    
    public HotelDocument() {}
    
    public HotelDocument(Document hPage, Object hCode)
    {
        setHotelCode(hCode);
        setFactsheetPage(hPage);
    }
    
    public HotelDocument(Document[] codesPages)
    {
        setHotelCodesPageColl(codesPages);
    }
    
    public Object getHotelCode()
    {
        return hotelCode;
    }
    public void setHotelCode(Object hotelCode)
    {
        this.hotelCode = hotelCode;
    }
    public Document getFactsheetPage()
    {
        return factsheetPage;
    }
    public void setFactsheetPage(Document hotelPage)
    {
        this.factsheetPage = hotelPage;
    }
    
    public Document getAmenitiesPage()
    {
        return amenitiesPage;
    }
    public void setAmenitiesPage(Document amenitiesPage)
    {
        this.amenitiesPage = amenitiesPage;
    }
    public Document getServicesPage()
    {
        return servicesPage;
    }
    public void setServicesPage(Document servicesPage)
    {
        this.servicesPage = servicesPage;
    }
    public Document getHomePage()
    {
        return homePage;
    }
    public void setHomePage(Document homePage)
    {
        this.homePage = homePage;
    }
    
    public Document[] getHotelCodesPageColl()
    {
        return hotelCodesPageColl;
    }
    public void setHotelCodesPageColl(Document[] hotelCodesPageColl)
    {
        this.hotelCodesPageColl = hotelCodesPageColl;
    }
}
