package semfly.dto;

/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * This class is a container for Sheraton Hotel code.
 * Sheraton Hotel code comprises: 
 * propertyID, chainCode, affilationCode and brand. 
 */
public class SheratonHotelCode
{
    private String propertyID, chainCode, affilationCode, brand;
    
    
    public String getAffilationCode()
    {
        return affilationCode;
    }
    
    public void setAffilationCode(String affilationCode)
    {
        this.affilationCode = affilationCode;
    }
    
    public String getBrand()
    {
        return brand;
    }
    
    public void setBrand(String brand)
    {
        this.brand = brand;
    }
    
    public String getChainCode()
    {
        return chainCode;
    }
    
    public void setChainCode(String chainCode)
    {
        this.chainCode = chainCode;
    }
    
    public String getPropertyID()
    {
        return propertyID;
    }
    
    public void setPropertyID(String propertyID)
    {
        this.propertyID = propertyID;
    }
    
    public String toString()
    {
        return chainCode + "/" + affilationCode + "/" + propertyID;
    }
}
