package semfly.agents.behaviours;

import jade.core.behaviours.OneShotBehaviour;

/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * This class represents behaviour that is responsible for deleting an 
 * owner (agent).
 */
public class DeleteMyself extends OneShotBehaviour
{
	/**
	 * Deletes an owner agent.
	 * 
	 * @see jade.core.behaviours.Behaviour#action()
	 */
	public void action()
	{
		myAgent.doDelete();
	}
}
