package semfly.dto;

/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * This class is a DTO based on Hotel ontology.
 */
public class HotelInfo
{
    private String hotelCode;
    
    private String name;
    
    /**
     * Address related fields.
     */
    private String street, locality, country, pcode;
    
    /**
     * Contact related fields.
     */
    private String phone, fax;
    
    
    public String getFax()
    {
        return fax;
    }
    
    public void setFax(String fax)
    {
        this.fax = fax;
    }
    
    public String getPhone()
    {
        return phone;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }
    public String getCountry()
    {
        return country;
    }
    
    public void setCountry(String country)
    {
        this.country = country;
    }
    
    public String getLocality()
    {
        return locality;
    }
    
    public void setLocality(String locality)
    {
        this.locality = locality;
    }
    
    public String getPcode()
    {
        return pcode;
    }
    
    public void setPcode(String pcode)
    {
        this.pcode = pcode;
    }
    
    public String getStreet()
    {
        return street;
    }
    
    public void setStreet(String street)
    {
        this.street = street;
    }
    
    public String getName()
    {
        return name;
    }
    
    public void setName(String name)
    {
        this.name = name;
    }
    
    public String getHotelCode()
    {
        return hotelCode;
    }
    
    public void setHotelCode(String hotelCode)
    {
        this.hotelCode = hotelCode;
    }
    
    public String toString()
    {
        String toStr = "Code: " + hotelCode; 
        toStr += ", Name: " + name;
        toStr += ", Street: " + street;
        toStr += ", Locality: " + locality;
        toStr += ", Country: " + country;
        toStr += ", Pcode: " + pcode;
        toStr += ", Phone: " + phone;
        toStr += ", Fax: " + fax;
        
        return toStr;
    }
}
