package semfly.dto;

import org.w3c.dom.Document;

/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * This class represents a web page (document) about a particular www site.
 */
public class WebPageDocument extends ResourceDocument
{
    protected Document webDocument;
    
    public WebPageDocument(Document doc)
    {
        setWebDocument(doc);
    }
    
    public Document getWebDocument()
    {
        return webDocument;
    }
    
    public void setWebDocument(Document webDocument)
    {
        this.webDocument = webDocument;
    }
}
