package semfly.textmining;

import com.hp.hpl.jena.rdf.model.Property;

/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * Simple class for storing property and its value. This class is used by
 * TextMiner.
 */
public class TextDescription
{
    private Property property;
    private Object resource;
    
    public TextDescription(Property prop, Object res)
    {
        setProperty(prop);
        setResource(res);
    }
    
    public Property getProperty()
    {
        return property;
    }
    
    public void setProperty(Property property)
    {
        this.property = property;
    }
    
    public Object getResource()
    {
        return resource;
    }
    
    public void setResource(Object resource)
    {
        this.resource = resource;
    }
}
